using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
{
    public class BoxItem
    {
        private int ciID;
        private int ciOrder;
        private string csName;
        private string csLocation;
        private string csActionType;
        private string csActionData;
        private int ciPermission;

        public BoxItem()
        { }
        [Index]
        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public int Order
        {
            get { return ciOrder; }
            set { ciOrder = value; }
        }

        public string Name
        {
            get { return csName; }
            set { csName = value; }
        }

        public string Location
        {
            get { return csLocation; }
            set { csLocation = value; }
        }

        public string ActionType
        {
            get { return csActionType; }
            set { csActionType = value; }
        }

        public string ActionData
        {
            get { return csActionData; }
            set { csActionData = value; }
        }
        public int Permission
        {
            get { return ciPermission; }
            set { ciPermission = value; }
        }

    }

    public class BoxItemList : BindingList<BoxItem>
    {
        public BoxItemList()
        { }
    }
}
